Subject: bug#28625: [PROPOSED] Speed up (format "%s" STRING) and the like

From: Philipp Stephani <[email-masked]>
Date: Sat, 07 Oct 2017 09:12:16 +0000

John Wiegley <[email-masked]> schrieb am Do., 28. Sep. 2017 um
07:41 Uhr:

> >>>>> Paul Eggert <[email-masked]> writes:
>
> > I take your point that the patch is only a minor performance improvement
> in
> > the big picture. And although the patch does simplify the Emacs source
> code,
> > that's minor too. (Should I propose only major changes from now on? :-)
>
> I do appreciate the simplication, although if semantics have changed at
> all,
> I'm against without a bigger win.
>

Shouldn't this at least be documented in the "Incompatible Lisp changes"
section of NEWS?